Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.csw.discovery
Class DomainValues

    java.lang.Object
      org.deegree.ogcwebservices.csw.discovery.DomainValues

    public class DomainValues

extends Object

Version:
  2.0, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth , Torsten Friebe , last edited by: $Author: mschneider $

Constructor Summary
`DomainValues()`

Method Summary
`void` | `finalize()`
`Code` | `getConceptualScheme()`
`TypedLiteral` | `getListOfValues()`
`String` | `getName()`
`int` | `getType()` Type of domain description target PARAMTER or ATTRIBUTE
`ValueRange` | `RangeOfValues()`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DomainValues

    public DomainValues()

Method Detail

### finalize

    public void finalize()
                  throws Throwable

  Overrides:
    `finalize` in class `Object`
  Throws:
    `Throwable`

### getType

    public int getType()

  Type of domain description target

  PARAMTER or ATTRIBUTE

  Returns:
    zero

### getName

    public String getName()

  Returns:
    the empty string

### getListOfValues

    public TypedLiteral getListOfValues()

  Returns:
    null

### getConceptualScheme

    public Code getConceptualScheme()

  Returns:
    null

### RangeOfValues

    public ValueRange RangeOfValues()

  Returns:
    null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org